{% extends 'AppBundle::layout.html.twig' %}
{% import 'AppBundle:Macros:macros.html.twig' as this %}

{% set project = contribution.project %}
{% block stylesheets %}
    {{ parent() }}
    {% if status == constant('AppBundle\\Entity\\Project\\Contribution::STATUS_QUESTIONS') %}
    <link rel="stylesheet" href="{{ asset('bundles/app/css/hide.css') }}" />
{% endif %}
{% endblock %}

{% block window_title %}{{ parent() }}Projet : {{ project.title }}{% endblock %}

{% block page_subtitle1 %}{{ project.title }} : {{ contribution }}{% endblock %}

{% block body %}
<div class="row">
    <div class="col-sm-11 col-sm-offset-1">
        {% set steps = {1: "Début de la contribution", 2: "Entretien", 3: "Données sociales", 4: "Validation", 5: "Classification"} %}
        {% set step = 0 %}
        {% if status == constant('AppBundle\\Entity\\Project\\Contribution::STATUS_OPEN') %}
            {% set title = "Début de la contribution" %}
            {% set step = 1 %}
        {% elseif status == constant('AppBundle\\Entity\\Project\\Contribution::STATUS_QUESTIONS') %}
            {% set title = "Entretien" %}
            {% set step = 2 %}
        {% elseif status == constant('AppBundle\\Entity\\Project\\Contribution::STATUS_SOCIALDATA') %}
            {% set title = "Données sociales" %}
            {% set step = 3 %}
        {% elseif status == constant('AppBundle\\Entity\\Project\\Contribution::STATUS_VALIDATION') %}
            {% set title = "Validation" %}
            {% set step = 4 %}
        {% else %}
            {% set step = 5 %}
        {% endif %}

        {% set stepi = 1 %}

        <p>
        {% for current in steps %}
                <span class="label {% if step == stepi %}label-pink{% elseif stepi < step %} label-green {% else %} label-gray
           {% endif %}" style="color: white">
            Étape {{ stepi }}> {{ current }}
            </span>
            {% set stepi = stepi + 1 %}
        {% endfor %}
        </p>

    </div>
    <div class="col-sm-12">
        {% if status == constant('AppBundle\\Entity\\Project\\Contribution::STATUS_QUESTIONS') %}
            {% set projectForm = true %}
        {% include 'AppBundle:Site/PublicForm:_edit.html.twig' %}
        {% elseif status == constant('AppBundle\\Entity\\Project\\Contribution::STATUS_SOCIALDATA') %}
            {{ form(form) }}
        {% elseif status == constant('AppBundle\\Entity\\Project\\Contribution::STATUS_OPEN') %}
            <div class="row">
                <div class="col-sm-offset-2 col-sm-8">
                    {{ contribution.publicForm.description|raw }}
                </div>
                <div class="col-sm-offset-2 col-sm-8">
                    Le titre n'est pas obligatoire, vous pourrez le renseigner à la fin du formulaire.
                </div>
            </div>
            {{ form(form) }}
        {% elseif status == constant('AppBundle\\Entity\\Project\\Contribution::STATUS_VALIDATION') %}
        {% include 'AppBundle:Project/Contribution:validate.html.twig' %}
        {% else %}
            {% include 'AppBundle:Project/Contribution:thank.html.twig' %}
        {% endif %}
    </div>
</div>

{% endblock %}

{% block javascripts %}
    {{ parent() }}

{% endblock %}
